Search documentation of tiger_stripe

# Stripe.Services.Issuing.TransactionService (tiger_stripe v0.1.1)

Copy Markdown View Source

IssuingTransaction

Any use of an issued card that results in funds entering or leaving your Stripe account, such as a completed purchase or refund, is represented by an Issuing `Transaction` object.

Related guide: Issued card transactions

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all transactions

retrieve(client, transaction, params \\ %{}, opts \\ [])

Retrieve a transaction

update(client, transaction, params \\ %{}, opts \\ [])

Update a transaction

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all transactions

Returns a list of Issuing `Transaction` objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

# retrieve(client, transaction, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a transaction

Retrieves an Issuing `Transaction` object.

# update(client, transaction, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a transaction

Updates the specified Issuing `Transaction` object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.